Subject: Re: bug#17007: 24.3.50; describe-key/function evaluates documentation function in the wrong buffer

From: [email-masked] (João Távora)
Date: Thu, 13 Mar 2014 19:18:52 +0000

[email-masked] (João Távora) writes:

> Glenn Morris <[email-masked]> writes:
>> João Távora wrote:
>>> replaced `with-output-to-temp-buffer' with
>>> `with-temp-buffer-window'. The former just binds `standard-output' while
>> The former was changed 2014-02-28, so presumably the issue you are
>> reporting is already gone in the current trunk.
> Ah, the former is good news, I'll try it out.

Alas, the problem persists, but it was probably solved for a week in
February.

I assumed you were talking about revno, which is the only relevant one I
found from 2014-02-28.

    r116606: Revert recent with-temp-buffer-window chang

But I can confirm that it's not working now, with a build from precisely
that day and revno r116614.

It probably worked when the change that 116606 reverts was in place. I
can't find a note in the commit message stating the reason for the
reversion.

=== modified file 'lisp/window.el'
--- a/lisp/window.el    2014-02-21 11:04:27 +0000
+++ b/lisp/window.el    2014-02-28 09:10:55 +0000
@@ -189,8 +188,8 @@
     `(let* ((,buffer (temp-buffer-window-setup ,buffer-or-name))
            (standard-output ,buffer)
            ,window ,value)
-       (setq ,value (progn ,@body))
        (with-current-buffer ,buffer
+        (setq ,value (progn ,@body))
         (setq ,window (temp-buffer-window-show ,buffer ,action)))
 
        (if (functionp ,quit-function)

João